Subject: Re: rebase -i reword converts to pick on pre-commit non-zero exit

From: Andrew Wong <[email-masked]>
Date: Wed, 01 Feb 2012 23:12:59 -0500

On 12-02-01 4:28 PM, Neal Kreitzinger wrote:
> Instead of picking commit (a) when the pre-commit
> hook exits non-zero on the reword command, shouldn't interactive rebase
> learn to edit commit (a) and tell the user that because the pre-commit 
> hook
> exited non-zero they need to either remedy the pre-commit hook violations
> and run git commit --amend or run git commit --amend --no-verify to 
> bypass
> the pre-commit hook?

Yup, I've submitted a patch to address this issue a while ago. This new 
behavior should be in v.1.7.8.2 and later.